pre {
  width: 100%;
  color: $sec;
  margin: {
    top: 0;
    bottom: rem(30px);
  };
  padding: rem(20px);
  font-size: rem(14px);
  background-color: $blackBase !important;

  @include above($cut) {
    margin: rem(10px) 0;
    //padding: rem(20px) 0;
    font-size: rem(16px);
  }

  code {
    @include center(rem(800px));
    padding: 0 rem(20px);

    @include below($cut) {
      overflow-x: scroll;
    }
  }

  span {
    line-height: 1.5rem;
    font-family: 'Monaco', 'Consolas', 'Menlo', monospace;
  }
}

/* 
  Darkly Pygments Theme
  (c) 2014 Sourcey
  https://sourcey.com/darkly-pygments-css-theme/
*/

.highlight {
  white-space: pre;
  overflow: auto;
  word-wrap: normal; // horizontal scrolling
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
  border-radius: 0;
  color: #c1c2c3;

  .hll {
    background-color: #ffc;
  }

  .gd {
    color: #2e3436;
    background-color: #0e1416;
  }

  .gr {
    color: #eeeeec;
    background-color: #c00;
  }

  .gi {
    color: #babdb6;
    background-color: #1f2b2d;
  }

  .go {
    color: #2c3032;
    background-color: #2c3032;
  }

  .kt {
    color: #e3e7df;
  }

  .ni {
    color: #888a85;
  }

  .c, .cm, .c1, .cs {
    color: #8d9684;
  }

  .err, .g, .l, .n, .x, .p, .ge,
  .gp, .gs, .gt, .ld, .s, .nc, .nd,
  .ne, .nl, .nn, .nx, .py, .ow, .w, .sb,
  .sc, .sd, .s2, .se, .sh, .si, .sx, .sr,
  .s1, .ss, .bp {
    color: #c1c2c3;
  }

  .k, .kc, .kd, .kn, .kp, .kr, .nt {
    color: #729fcf;
  }

  .cp, .gh, .gu, .na, .nf {
    color: #e9a94b;
  }

  .m, .nb, .no, .mf, .mh, .mi, .mo, .il {
    color: #8ae234;
  }

  .o {
    color: #989daa;
  }

  .nv, .vc, .vg, .vi {
    color: #fff;
  }
}
